package com.zhentao.controller;


import com.zhentao.dto.OrderInfoDto;
import com.zhentao.pojo.OrderInfo;

import com.zhentao.pojo.OrderItem;
import com.zhentao.pojo.Sku;
import com.zhentao.service.OrderInfoService;
import com.zhentao.service.OrderItemService;
import com.zhentao.service.SkuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.math.BigDecimal;
import java.util.List;


@RestController
@RequestMapping("oderInfo")
public class OrderInfoController {
    @Autowired
    SkuService skuService;
    @Autowired
    OrderInfoService orderInfoService;
    @RequestMapping("addOderInfo")
    public void addOderInfo(@RequestBody OrderInfo orderInfo){
        OrderInfo orderInfo1 = new OrderInfo();
        orderInfo1.setUserId(orderInfo.getUserId());
        orderInfo1.setAllPrice(orderInfo.getAllPrice());
        orderInfo1.setCouponId(orderInfo.getCouponId());
        orderInfo1.setCouponPrice(orderInfo.getCouponPrice());
        orderInfo1.setYesMoney(orderInfo.getYesMoney());
        orderInfoService.save(orderInfo1);
    }
}
